package ${basePackage}.module.system.req;

import ${basePackage}.frame.base.BaseRequest;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

/**
 * FileUploadRequest - 文件上传
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class FileUploadRequest extends BaseRequest {

    /**
     * 文件名称(包含.)
     */
    @NotBlank(message = "[fileName]文件名不能为空")
    @Pattern(regexp = ".*\\.*$", message = "[fileName]文件后缀错误")
    private String fileName;

    /**
     * 文件体(base64)
     */
    private String dataBase64;
    /**
     * 文件体(字节数组)
     */
    private byte dataBytes;

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getDataBase64() {
        return dataBase64;
    }

    public void setDataBase64(String dataBase64) {
        this.dataBase64 = dataBase64;
    }

    public byte getDataBytes() {
        return dataBytes;
    }

    public void setDataBytes(byte dataBytes) {
        this.dataBytes = dataBytes;
    }
}
